package com.steerinfo.ems.emswaterrealtime.service;

import com.steerinfo.ems.emswaterrealtime.model.EmsWaterRealtime;
import com.steerinfo.framework.service.IBaseService;
import org.apache.axis2.AxisFault;

import java.util.List;

/**
 * EmsWaterRealtime服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-08-24 07:52
 * 类描述
 * 修订历史：
 * 日期：2021-08-24
 * 作者：generator
 * 参考：
 * 描述：EmsWaterRealtime服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IEmsWaterRealtimeService extends IBaseService<EmsWaterRealtime, String>{

    List<EmsWaterRealtime> getWaterListByArmMeter();

    /**
     * 获取大用户水系统数据到ems数据库存储
     * @return
     */
    int dataGeneration();

    void getcalpoint();

    /**
     * 获取ems系统中所有和大用户系统对应的计量点信息
     */
    void getWaterTenMinutes();

    /**
     * 传输数据到mosaic
     * @throws AxisFault
     */
    void getWaterListToMosaic() throws AxisFault;

    /**
     * 获取大用户水数据历史表数据
     * */
    void getWaterHour();

    /**
     * 获取大用户水数据历史表数据
     * */
    void getWaterHour(String clock,String clock2);

    /**
     * 传输大用户水数据历史表到小时表
     * */
    void getHistoryWaterToHour();

    /**
     * 获取异常数据到T_RM_Ex_Value表
     */
    void getAbnormalToExitValue();
}